// Phase control with frameCount

int phase;
color bgColor;
int startFrame;
int framePhaseDuration;

int [ ] data = { 42, 24, 39, 53 };
void setup( )
{
  size( 400, 400 );
  textAlign( CENTER, CENTER );
  textSize( 48 );
  fill( 255, 0, 0 );
  phase = 0;
  bgColor = color( 0 );
  startFrame = 0;
  framePhaseDuration = 120;
  
}

void draw( )
{
  background( bgColor );
  text( "Phase # " + phase + "\nData: " + data[ phase ], 
               width/2, height/2 );
  if      (phase == 1 ) bgColor = color( 255, 255, 0 );
  else if (phase == 2 ) bgColor = color( 0, 255, 0 );
  else if (phase == 3 ) bgColor = color( 0, 0, 255 );
  
  checkFrame( );
}

// The use of keyPressed( ) is for this demo only.
// The change of the phase can be made anywhere
void checkFrame( )
{
  int lapsedFrameCount =  frameCount - startFrame;
  if( lapsedFrameCount > framePhaseDuration )
  {
     startFrame = frameCount;
     phase++; 
  }
}
