// Phase control with mousePosition

int phase;
color bgColor;


int [ ] data = { 42, 24, 39, 53 };
void setup( )
{
  size( 400, 400 );
  textAlign( CENTER, CENTER );
  textSize( 48 );
  fill( 255, 0, 0 );
  phase = 0;
  bgColor = color( 0 );
}

void draw( )
{
  background( bgColor );
  text( "Phase # " + phase + "\nData: " + data[ phase ], 
               width/2, height/2 );
  if      (phase == 1 ) bgColor = color( 255, 255, 0 );
  else if (phase == 2 ) bgColor = color( 0, 255, 0 );
  else if (phase == 3 ) bgColor = color( 0, 0, 255 );
  
  checkMouse( );
}

// The use of keyPressed( ) is for this demo only.
// The change of the phase can be made anywhere
void checkMouse( )
{
  phase = int (map( mouseX, 0, width, 0, data.length ) );
}
