// Phase control with time

int phase;
color bgColor;
int startTime;
int phaseTimeDuration;

int [ ] data = { 42, 24, 39, 53 };
void setup( )
{
  size( 400, 400 );
  textAlign( CENTER, CENTER );
  textSize( 48 );
  fill( 255, 0, 0 );
  phase = 0;
  bgColor = color( 0 );
  startTime = millis( );
  phaseTimeDuration = 3000;
  
}

void draw( )
{
  background( bgColor );
  text( "Phase # " + phase + "\nData: " + data[ phase ], 
               width/2, height/2 );
  if      (phase == 1 ) bgColor = color( 255, 255, 0 );
  else if (phase == 2 ) bgColor = color( 0, 255, 0 );
  else if (phase == 3 ) bgColor = color( 0, 0, 255 );
  
  checkTime( );
}

// The use of keyPressed( ) is for this demo only.
// The change of the phase can be made anywhere
void checkTime( )
{
  int lapsedTime = millis( ) - startTime;
  if( lapsedTime > phaseTimeDuration )
  {
     startTime = millis( );
     phase++; 
  }
}
