// Phase control with mousePosition relative to a point 
// on screen

int phase;
color bgColor;

int [ ] data = { 42, 24, 39, 53 };
int [ ] x = { 100, 200, 300, 350 };
int [ ] y = { 100, 200, 300, 350 };

void setup( )
{
  size( 400, 400 );
  textAlign( CENTER, CENTER );
  textSize( 24 );
  fill( 255, 0, 0 );
  bgColor = color( 0 );  
}

void draw( )
{
  background( bgColor );
  drawData( );
  checkMouse( );
}


void drawData( )
{
   pushStyle( );
     for ( int i = 0; i < x.length; i++)
     {
        fill( 0, 0, 255 );
        ellipse( x[i], y[i], 70, 30 );
        fill( 255 );
        text( data[i], x[i], y[i] );
     } 
   popStyle( );
}


void checkMouse( )
{
    pushStyle( );
      noFill( );
      stroke( 200, 200, 0 );
      strokeWeight( 5 );
      for( int i = 0; i < x.length; i++)
      {
         if ( dist( mouseX, mouseY, x[i], y[i] ) < 50 )
         {
            ellipse( x[i], y[i], 70, 30 );
         }
      }
    popStyle( );
  
  
}
